Share via


Restore Points - Create

Creates a restore point for a data warehouse.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/restorePoints?api-version=2025-01-01

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
restorePointLabel True

string

The restore point label to apply

Responses

Name Type Description
200 OK

RestorePoint

Azure operation completed successfully.

201 Created

RestorePoint

Resource 'RestorePoint' create operation succeeded

Headers

Location: string

202 Accepted

Resource operation accepted.

Headers

Location: string

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Creates datawarehouse database restore point.

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints?api-version=2025-01-01

{
  "restorePointLabel": "mylabel"
}

Sample response

{
  "name": "131546477590000000",
  "type": "Microsoft.Sql/servers/databases/restorePoints",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000",
  "location": "japaneast",
  "properties": {
    "restorePointCreationDate": "2017-03-10T08:00:00Z",
    "restorePointLabel": "mylabel",
    "restorePointType": "DISCRETE"
  }
}
{
  "name": "131546477590000000",
  "type": "Microsoft.Sql/servers/databases/restorePoints",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000",
  "location": "southeastasia",
  "properties": {
    "restorePointCreationDate": "2017-03-10T08:00:00Z",
    "restorePointLabel": "mylabel",
    "restorePointType": "DISCRETE"
  }
}
Location: https://management.azure.com/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/manageddatabaserestoreazureasyncoperation/00000000-1111-2222-3333-444444444444?api-version=2022-11-01-preview

Definitions

Name Description
CreateDatabaseRestorePointDefinition

Contains the information necessary to perform a create database restore point operation.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RestorePoint

Database restore points.

RestorePointType

The type of restore point

systemData

Metadata pertaining to creation and last modification of the resource.

CreateDatabaseRestorePointDefinition

Contains the information necessary to perform a create database restore point operation.

Name Type Description
restorePointLabel

string

The restore point label to apply

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RestorePoint

Database restore points.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Resource location.

name

string

The name of the resource

properties.earliestRestoreDate

string (date-time)

The earliest time to which this database can be restored

properties.restorePointCreationDate

string (date-time)

The time the backup was taken

properties.restorePointLabel

string

The label of restore point for backup request by user

properties.restorePointType

RestorePointType

The type of restore point

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

RestorePointType

The type of restore point

Value Description
CONTINUOUS

CONTINUOUS

DISCRETE

DISCRETE

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.